#include "__SMTP_EHLO.h"
#include "SMTPSession.h"

#define CRLF "\r\n"

namespace mail {
   
   int __SMTP_EHLO::processCommand(coreutils::ZString &request, core::TCPSession &session) {

      SMTPSession &s = dynamic_cast<SMTPSession &>(session);

      s.clientDomainName = request[1].str();
      
      s.out << "250-" << server.hostName << CRLF;
      //  cout << "250-STARTTLS" << CRLF;
      //  cout << "250-PIPELINING" << CRLF;
      //  cout << "250-8BITMIME" << CRLF;
      s.out << "250-AUTH LOGIN" << CRLF;
      s.out << "250 HELP" << CRLF;
      s.state = READY;
      return 1;
   }
   
}
